View Issue Details

IDProjectCategoryView StatusLast Update
0030630Open CASCADEOCCT:Visualizationpublic2019-07-20 11:56
ReporterikaAssigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.3.0 
Target Version7.4.0Fixed in Version7.4.0 
Summary0030630: Visualization - wrong visualization of shape with mirrored transformation
DescriptionCurrent behavior of Std_ShadedShape::fillTriangles() is adopted to visualize shapes with simply applied mirror transformation (mirror invertes solid, so it becames infinity) as a normal shape and, on the contrary, processed mirrored solid with reversed faces as infinity shape.
Steps To Reproducebugs vis bug30630, bug30630_1, bug30630_2
TagsNo tags attached.
Test case numberbugs/vis/bug30630_1, bugs/vis/bug30630_2, bugs/vis/bug30630_3

Attached Files

  • only_mirror.brep (3,008 bytes)
  • only_mirror.jpg (56,723 bytes)
  • mirror_and_reverse.brep (4,480 bytes)
  • mirror_and_reverse.jpg (54,910 bytes)
  • bug30630_mirror_and_reverse.brep (4,480 bytes)
  • bug30630_only_mirror.brep (3,008 bytes)

Activities

ika

2019-04-04 15:13

developer  

only_mirror.brep (3,008 bytes)

ika

2019-04-04 15:13

developer  

only_mirror.jpg (56,723 bytes)

ika

2019-04-04 15:14

developer  

mirror_and_reverse.brep (4,480 bytes)

ika

2019-04-04 15:14

developer  

mirror_and_reverse.jpg (54,910 bytes)

git

2019-04-04 16:14

administrator   ~0083418

Branch CR30630 has been created by ika.

SHA-1: eacd2b2bb5d85602da700eee8e16a8176e4225ea


Detailed log of new commits:

Author: ika
Date: Thu Apr 4 16:07:05 2019 +0300

    0030630: Visualization - wrong visualization of shape with mirrored transformation
    
    Solids with mirror location are displayed, according to their normals.

git

2019-07-15 19:12

administrator   ~0085648

Branch CR30630 has been updated forcibly by ika.

SHA-1: f4ca9967175c502aaf64a9ba1bf43adcca8478c4

ika

2019-07-16 12:37

developer  

bug30630_mirror_and_reverse.brep (4,480 bytes)

ika

2019-07-16 12:37

developer  

bug30630_only_mirror.brep (3,008 bytes)

ika

2019-07-16 12:46

developer   ~0085663

Last edited: 2019-07-16 12:58

Dear KGV,

could you please review changes in branch CR30630?
It seems, that in old version reversing of triangle nodes sequence by applying transformation with determinant < 0 was not taking in account.

Test base does not affected by this fix:
http://occt-tests/CR30630-master-ika-Products/Debian80-64/diff_summary.html
http://occt-tests/CR30630-master-ika-Products/Windows-64-VC14/diff_summary.html
http://occt-tests/CR30630-master-ika-OCCT/Debian80-64/summary.html
(test bugs fclasses bug7287_6 is not caused by changes of this fix)
http://occt-tests/CR30630-master-ika-OCCT/Windows-64-VC14/diff_summary.html

git

2019-07-17 19:27

administrator   ~0085723

Branch CR30630 has been updated by kgv.

SHA-1: ae711e7e51f4016ecac106e21de48cbf155534ee


Detailed log of new commits:

Author: kgv
Date: Wed Jul 17 19:25:17 2019 +0300

    # correct scripts to not use external files
    
    vaspects -setBackFaceColor, added command to set backface color.

git

2019-07-17 20:10

administrator   ~0085724

Branch CR30630 has been updated by kgv.

SHA-1: 52294fafe542c5efa2960d0b6c3e8509d63a1da0


Detailed log of new commits:

Author: kgv
Date: Wed Jul 17 20:08:31 2019 +0300

    # adjust test cases

git

2019-07-17 20:11

administrator   ~0085726

Branch CR30630_1 has been created by kgv.

SHA-1: f36652e0cfae64f93438d3bd0da68f8f2d2e1cfd


Detailed log of new commits:

Author: ika
Date: Thu Apr 4 16:07:05 2019 +0300

    0030630: Visualization - wrong visualization of shape with mirrored transformation
    
    Solids with mirror location are displayed, according to their normals.
    
    vaspects -setBackFaceColor, added command to set backface color.

kgv

2019-07-17 20:12

developer   ~0085727

Reviewed with remarks.

bugmaster

2019-07-18 10:29

administrator   ~0085735

Combination -
OCCT branch : CR30630_1
master SHA - f36652e0cfae64f93438d3bd0da68f8f2d2e1cfd
32ce09545dc9c46a47a51a964a24b1f472e6c2c4
Products branch : master SHA - ce8f14216a548db739b749891b6f800b0d5c6e8b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16229.469999999967 / 16237.640000000089 [-0.05%]
Products
Total CPU difference: 10474.820000000036 / 10517.890000000038 [-0.41%]
Windows-64-VC14:
OCCT
Total CPU difference: 17603.046875 / 17623.078125 [-0.11%]
Products
Total CPU difference: 12080.9375 / 12058.53125 [+0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-07-20 11:55

administrator   ~0085838

Branch CR30630 has been deleted by inv.

SHA-1: 52294fafe542c5efa2960d0b6c3e8509d63a1da0

git

2019-07-20 11:56

administrator   ~0085839

Branch CR30630_1 has been deleted by inv.

SHA-1: f36652e0cfae64f93438d3bd0da68f8f2d2e1cfd

Related Changesets

occt: master 6b9b7e3c

2019-04-04 13:07:05

ika


Committer: bugmaster Details Diff
0030630: Visualization - wrong visualization of shape with mirrored transformation

Solids with mirror location are displayed, according to their normals.

vaspects -setBackFaceColor, added command to set backface color.
Affected Issues
0030630
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff File
mod - src/ViewerTest/ViewerTest.cxx Diff File
add - tests/bugs/vis/bug30630_1 Diff File
add - tests/bugs/vis/bug30630_2 Diff File
add - tests/bugs/vis/bug30630_3 Diff File

Issue History

Date Modified Username Field Change
2019-04-04 15:12 ika New Issue
2019-04-04 15:12 ika Assigned To => ika
2019-04-04 15:13 ika File Added: only_mirror.brep
2019-04-04 15:13 ika File Added: only_mirror.jpg
2019-04-04 15:14 ika File Added: mirror_and_reverse.brep
2019-04-04 15:14 ika File Added: mirror_and_reverse.jpg
2019-04-04 16:14 git Note Added: 0083418
2019-07-15 19:12 git Note Added: 0085648
2019-07-16 12:37 ika File Added: bug30630_mirror_and_reverse.brep
2019-07-16 12:37 ika File Added: bug30630_only_mirror.brep
2019-07-16 12:46 ika Note Added: 0085663
2019-07-16 12:46 ika Assigned To ika => kgv
2019-07-16 12:46 ika Status new => resolved
2019-07-16 12:46 ika Steps to Reproduce Updated
2019-07-16 12:58 ika Note Edited: 0085663
2019-07-17 19:27 git Note Added: 0085723
2019-07-17 20:10 git Note Added: 0085724
2019-07-17 20:11 git Note Added: 0085726
2019-07-17 20:12 kgv Note Added: 0085727
2019-07-17 20:12 kgv Assigned To kgv => bugmaster
2019-07-17 20:12 kgv Status resolved => reviewed
2019-07-18 10:26 bugmaster Test case number => bugs/vis/bug30630_1, bugs/vis/bug30630_2, bugs/vis/bug30630_3
2019-07-18 10:29 bugmaster Note Added: 0085735
2019-07-18 10:29 bugmaster Status reviewed => tested
2019-07-20 11:42 bugmaster Changeset attached => occt master 6b9b7e3c
2019-07-20 11:42 bugmaster Status tested => verified
2019-07-20 11:42 bugmaster Resolution open => fixed
2019-07-20 11:55 git Note Added: 0085838
2019-07-20 11:56 git Note Added: 0085839